org.apache.cassandra.utils

## Interface IndexedSearchIterator<K,V>

All Superinterfaces:
  SearchIterator<K,V>

All Known Implementing Classes:
  BTreeSearchIterator

    public interface IndexedSearchIterator<K,V>
    extends SearchIterator<K,V>

### Method Summary

All Methods Instance Methods Abstract Methods
`V` `current()`
`boolean` `hasNext()`
`int` `indexOfCurrent()`

### Methods inherited from interface org.apache.cassandra.utils.SearchIterator

`next`

### Method Detail

#### hasNext

    boolean hasNext()

Returns:
  true if iterator has any elements left, false otherwise

#### current

    V current()

Returns:
  the value just recently returned by next()
Throws:
  `java.util.NoSuchElementException` - if next() returned null

#### indexOfCurrent

    int indexOfCurrent()

Returns:
  the index of the value returned by current(), and just returned by next()
Throws:
  `java.util.NoSuchElementException` - if next() returned null